import baseApi from "./baseApi";

const faqApi = baseApi.injectEndpoints({
    endpoints: (builder) => ({
        getAllFaqs: builder.query({
            query: () => ({
                url: '/faq/all',
                method: 'GET',
            }),
            providesTags: ['faqs'],
        }),
    }),
});

export const { useGetAllFaqsQuery } = faqApi;
export default faqApi;
